Triplesec
  1. Triplesec
  2. DIRTSEC-12

Download not acessable, build not working

    Details

    • Type: Bug Bug
    • Status: Open
    • Priority: Blocker Blocker
    • Resolution: Unresolved
    • Affects Version/s: None
    • Fix Version/s: None
    • Component/s: None
    • Labels:
      None

      Description

      The downloads for 0.7 are not working from the public site:
      http://directory.apache.org/triplesec/triplesec-server-071.html

      I've also tried to check out and build, but there appears to be several dependencies missing (look like they are part of apacheds).
      I am excited to see it, and am willing to put time into it if the build can be cleaned up.

        Activity

        Brill Pappin created issue -
        Hide
        Brill Pappin added a comment -

        Whats the deal with this?
        The build is not working as well, and my only choice is going to be to check out the source, reorganize it (an monster task) and build it myself.

        Show
        Brill Pappin added a comment - Whats the deal with this? The build is not working as well, and my only choice is going to be to check out the source, reorganize it (an monster task) and build it myself.
        Hide
        Felix Knecht added a comment -

        Even not having any idea about triplesec I tried to update the trunks root pom with the most actual dependency versions.

        It still doesn't compiles because of various API changes (apacheds, shared), but at least the dependencies are found now. Please note that some o the dependencies will need a manual installation because of license restrictions. Maven will prompt you about this.

        Show
        Felix Knecht added a comment - Even not having any idea about triplesec I tried to update the trunks root pom with the most actual dependency versions. It still doesn't compiles because of various API changes (apacheds, shared), but at least the dependencies are found now. Please note that some o the dependencies will need a manual installation because of license restrictions. Maven will prompt you about this.
        Hide
        Brill Pappin added a comment -

        Yes I got that far, to the point of updating it with the latest apacheds trunk (build ds and installed in my own archiva instance), but I have yet to get the modules into my dev env (some strange error I've never seen before about the parent not being found, even though I know its locally installed).

        This project could be made easier to build, but itsm means changing its structure a bit.

        Show
        Brill Pappin added a comment - Yes I got that far, to the point of updating it with the latest apacheds trunk (build ds and installed in my own archiva instance), but I have yet to get the modules into my dev env (some strange error I've never seen before about the parent not being found, even though I know its locally installed). This project could be made easier to build, but itsm means changing its structure a bit.
        Hide
        Brill Pappin added a comment -

        This issue is getting old, and presumably the build has been fixed.
        Can one of the developers review and resolve?

        Show
        Brill Pappin added a comment - This issue is getting old, and presumably the build has been fixed. Can one of the developers review and resolve?

          People

          • Assignee:
            Unassigned
            Reporter:
            Brill Pappin
          • Votes:
            0 Vote for this issue
            Watchers:
            0 Start watching this issue

            Dates

            • Created:
              Updated:

              Development